Name:          basket
Version:       1.81
Release:       3%{?dist}
Summary:       Taking care of your ideas

Group:         Applications/Productivity
License:       GPLv2+
URL:           http://basket.kde.org/
Source0:       http://basket.kde.org/downloads/%{name}-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: kdelibs4-devel qimageblitz-devel kdepimlibs-devel
BuildRequires: gpgme-devel gettext desktop-file-utils kdepim-devel

Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
A multi-purpose note-taking application that makes it easy to write down ideas
as you think, and quickly find them later.  You can collect, import or share
any data, tag your notes and secure it some or all of it with passwords and/or
encryption.

%package libs
Summary:        Basket libraries
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
%{?_kde4_version:Requires: kdelibs4%{?_isa} >= %{_kde4_version}}

%description libs
Basket libraries

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} .. -DBUILD_KPARTS=1
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install/fast -C %{_target_platform} DESTDIR=%{buildroot}

# Icons: use hicolor instead of crystalsvg
# mv %{buildroot}%{_datadir}/icons/{crystalsvg,hicolor}

# Menu
desktop-file-install  --vendor='' \
        --dir %{buildroot}%{_datadir}/applications/kde4 \
        --delete-original \
        --add-category Utility \
        --add-category Qt \
        --add-category KDE \
        %{buildroot}%{_datadir}/applications/kde4/%{name}.desktop

%find_lang %{name} --with-kde

%clean
rm -rf %{buildroot}

%post libs -p /sbin/ldconfig

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :

%postun libs -p /sbin/ldconfig

%postun
if [ $1 -eq 0 ] ; then
   touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null
   gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :
   update-desktop-database -q &> /dev/null
   update-mime-database %{_kde4_datadir}/mime &> /dev/null
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null
update-mime-database %{_kde4_datadir}/mime &> /dev/null

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS COPYING TODO
%{_kde4_bindir}/basket
%{_kde4_datadir}/applications/kde4/*.desktop
%{_kde4_iconsdir}/hicolor/*/actions/*.png
%{_kde4_iconsdir}/hicolor/*/apps/%{name}.*
%{_kde4_appsdir}/basket/
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/kde4/services/kontact/%{name}*.desktop
%{_kde4_datadir}/config/magic/basket.magic
# this is old kde3-style mime defs, should get updated
# for xdg-style for consumption by updates-mime-database -- Rex
%{_kde4_datadir}/mimelnk/application/*.desktop

%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/*.so
%{_kde4_libdir}/*.so*

%changelog
* Fri Feb 11 2011 Thomas Janssen <thomasj@fedoraproject.org> 1.81-3
- Rebuilt for kdepim downgrade

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.81-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 15 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.81-1
- basket 1.81

* Tue May 11 2010 Rex Dieter <rdieter@fedoraproject.org> 1.80-2
- dfi usage: drop --vendor=fedora
- various .spec cosmetics

* Sun Apr 11 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.80-1
- basket-1.80

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 04 2008 Rex Dieter <rdieter@fedoraproject.org> 1.0.3.1-4
- fix ->F-10+ upgrade path
- Cannot configure basket, kcm_basket.la missing (#474425)
- drop needless Requires: hicolor-icon-theme

* Sat Nov 15 2008 Christopher D. Stover <quantumburnz@hotmail.com> 1.0.3.1-3
- resolved kontact broken dependency

* Mon Nov 10 2008 Christopher D. Stover <quantumburnz@hotmail.com> 1.0.3.1-2
- added a requires for hicolor-icon-theme
- removed -p from the main package /sbin/ldconfig

* Sat Oct 25 2008 Christopher D. Stover <quantumburnz@hotmail.com> 1.0.3.1-1
- version 1.0.3.1
- gcc43 patch is no longer needed

* Sat Jun 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 1.0.2-7
- disable -kontact for F10+ (can't integrate KDE 3 app into KDE 4 Kontact)

* Sun Jun 01 2008 Aurelien Bompard <abompard@fedoraproject.org> 1.0.2-6
- rebuild

* Wed Mar 02 2008 Rex Dieter <rdieter@fedoraproject.org> 1.0.2-5
- fix rawhide build (#433960)
- summary: s/for KDE//

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> 1.0.2-4
- Autorebuild for GCC 4.3

* Sat Oct 27 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.0.2-3
- fix kontact plugin for kdepim-enterprise (bug 354771)

* Sat Aug 25 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.0.2-2
- rebuild for BuildID
- fix license tag

* Tue Apr 24 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.0.2-1
- version 1.0.2 (bug 237660)

* Sun Mar 18 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.0.1-1
- version 1.0.1

* Sat Feb 17 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.0-2
- split off the kontact plugin, patch by Laurent Rineau (see bug 228966)

* Mon Feb 12 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.0-1
- version 1.0

* Wed Oct 25 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.6.0-1
- version 0.6.0

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.5.0-10
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 19 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.5.0-9
- add explicit linking to libfam

* Tue Sep 19 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.5.0-8
- rebuild

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.5.0-7
- BR: gamin-devel

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.5.0-6
- rebuild

* Tue Feb 21 2006 Aurelien Bompard <gauret[AT]free.fr> 0.5.0-5
- rebuild for FC5

* Mon Oct 17 2005 Aurelien Bompard <gauret[AT]free.fr> 0.5.0-4
- add patch for 64 bits

* Fri Oct 14 2005 Aurelien Bompard <gauret[AT]free.fr> 0.5.0-3
- don't add the extension to the icon, it's useless
- touch the icon dir in post and postun

* Fri Oct 14 2005 Aurelien Bompard <gauret[AT]free.fr> 0.5.0-2
- own the doc dir
- use hicolor instead of crystalsvg as icon theme
- add extension to the icon in the desktop file

* Wed Oct 12 2005 Aurelien Bompard <gauret[AT]free.fr> 0.5.0-1
- port to Fedora from Mandriva (release 3)
